commit:     3068dacdf8021e48e394088c0021ae9d51cf846b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 19 05:02:40 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 19 05:02:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3068dacd

app-misc/logitech-applet: port to EAPI 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...ch-applet-0.4_pre1-configure-error-handling.patch | 20 ++++++++++++++++++++
 .../logitech-applet-0.4_pre1-r3.ebuild               | 18 ++++++++++++++----
 2 files changed, 34 insertions(+), 4 deletions(-)

diff --git 
a/app-misc/logitech-applet/files/logitech-applet-0.4_pre1-configure-error-handling.patch
 
b/app-misc/logitech-applet/files/logitech-applet-0.4_pre1-configure-error-handling.patch
new file mode 100644
index 00000000000..1373a1010c1
--- /dev/null
+++ 
b/app-misc/logitech-applet/files/logitech-applet-0.4_pre1-configure-error-handling.patch
@@ -0,0 +1,20 @@
+--- a/configure.in
++++ b/configure.in
+@@ -24,7 +24,7 @@ if test "$LUSB" = "no"; then
+   echo "   http://libusb.sourceforge.net";
+   echo "   or use the --with-libusb-includes option, if you have it installed"
+   echo "   in an unusual place"
+-  exit
++  exit 1
+ fi
+ AC_CHECK_LIB(usb, usb_init, LUSB="yes", LUSB="no")
+ if test "$LUSB" = "no"; then
+@@ -33,7 +33,7 @@ if test "$LUSB" = "no"; then
+   echo "   http://libusb.sourceforge.net";
+   echo "   or use the --with-libusb-libraries option, if you have it 
installed"
+   echo "   in an unusual place"
+-  exit
++  exit 1
+ fi
+ 
+ AC_OUTPUT(Makefile)

diff --git a/app-misc/logitech-applet/logitech-applet-0.4_pre1-r3.ebuild 
b/app-misc/logitech-applet/logitech-applet-0.4_pre1-r3.ebuild
index 4c2d5534f1a..ed10f90c578 100644
--- a/app-misc/logitech-applet/logitech-applet-0.4_pre1-r3.ebuild
+++ b/app-misc/logitech-applet/logitech-applet-0.4_pre1-r3.ebuild
@@ -1,8 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit epatch
+EAPI=7
+
+inherit autotools
 
 MY_P=${P/_pre/test}
 MY_P=${MY_P/-applet/_applet}
@@ -10,6 +11,7 @@ MY_P=${MY_P/-applet/_applet}
 DESCRIPTION="Control utility for some special features of some special 
Logitech USB mice!"
 HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage";
 SRC_URI="mirror://gentoo/${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
 
 LICENSE="GPL-2"
 SLOT="0"
@@ -18,10 +20,18 @@ KEYWORDS="amd64 x86"
 DEPEND="virtual/libusb:0"
 RDEPEND="${DEPEND}"
 
-S=${WORKDIR}/${MY_P}
+PATCHES=(
+       "${FILESDIR}"/${P}-mx300-mx518.patch
+       "${FILESDIR}"/${PN}-0.4_pre1-configure-error-handling.patch
+)
 
 src_prepare() {
-       epatch "${FILESDIR}"/${P}-mx300-mx518.patch
+       default
+
+       mv configure.{in,ac} || die
+
+       # For error handling patch
+       eautoreconf
 }
 
 src_install() {

Reply via email to